SFML

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::Event::MouseWheelEvent Struct Reference

Mouse wheel events parameters (MouseWheelMoved) More...

`#include <Event.hpp>`

## Public Attributes

int | delta
| Number of ticks the wheel has moved (positive is up, negative is down) More...
int | x
| X position of the mouse pointer, relative to the left of the owner window. More...
int | y
| Y position of the mouse pointer, relative to the top of the owner window. More...

## Detailed Description

Mouse wheel events parameters (MouseWheelMoved)

Definition at line 105 of file Event.hpp.

## Member Data Documentation

int sf::Event::MouseWheelEvent::delta

Number of ticks the wheel has moved (positive is up, negative is down)

Definition at line 107 of file Event.hpp.

int sf::Event::MouseWheelEvent::x

X position of the mouse pointer, relative to the left of the owner window.

Definition at line 108 of file Event.hpp.

int sf::Event::MouseWheelEvent::y

Y position of the mouse pointer, relative to the top of the owner window.

Definition at line 109 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp